export declare function parseXmlFile(xmlFile: string): Promise<any>;
export declare function writeXmlFile(xmlFile: string, xmlObject: any): Promise<void>;
export declare function writeXmlFileFormatted(xmlFile: string, xmlString: string): Promise<void>;
export declare function parsePackageXmlFile(packageXmlFile: string): Promise<any>;
export declare function countPackageXmlItems(packageXmlFile: string): Promise<number>;
export declare function writePackageXmlFile(packageXmlFile: string, packageXmlObject: any): Promise<void>;
export declare function isPackageXmlEmpty(packageXmlFile: string, options?: {
    ignoreStandaloneParentItems: boolean;
}): Promise<boolean>;
export declare function appendPackageXmlFilesContent(packageXmlFileList: string[], outputXmlFile: string): Promise<void>;
export declare function removePackageXmlFilesContent(packageXmlFile: string, removePackageXmlFile: string, { outputXmlFile, logFlag, removedOnly, keepEmptyTypes }: {
    outputXmlFile?: string | undefined;
    logFlag?: boolean | undefined;
    removedOnly?: boolean | undefined;
    keepEmptyTypes?: boolean | undefined;
}): Promise<any>;
export declare function sortObject(o: any): {};
export declare function applyAllReplacementsDefinitions(allMatchingSourceFiles: string[], referenceStrings: string[], replacementDefinitions: any[]): Promise<void>;
export declare function applyReplacementDefinition(replacementDefinition: any, allMatchingSourceFiles: string[], ref: string): Promise<void>;
